Dataset - Get Operation

This API allows the caller to view the current progress of a dataset operation and the path is obtained from a call to the Create API.

Submit Operations Request

To view the current progress of a dataset operation, you will use a GET request where the operationId given the path is the ID that represents the operation.

Operation Response

While in progress, a 200-OK http status code will be returned with no extra headers. If the operation succeeds, a 200-OK http status code with Resource-Location header will be returned.

GET https://{geography}.atlas.microsoft.com/datasets/operations/{operationId}?api-version=2.0

URI Parameters

Name In Required Type Description
geography
path True
  • string

This parameter specifies where the Azure Maps Creator resource is located. Valid values are us and eu.

operationId
path True
  • string

The ID to query the status for the dataset create/import request.

api-version
query True
  • string

Version number of Azure Maps API.

Request Header

Name Required Type Description
x-ms-client-id
  • string

Specifies which account is intended for usage in conjunction with the Azure AD security model. It represents a unique ID for the Azure Maps account and can be retrieved from the Azure Maps management plane Account API. To use Azure AD security in Azure Maps see the following articles for guidance.

Responses

Name Type Description
200 OK

The operation is running or complete. If the operation was successful, use the Resource-Location header to obtain the path to the result.

Headers

  • Resource-Location: string
Other Status Codes

An unexpected error occurred.

Security

AADToken

These are the Azure Active Directory OAuth2 Flows. When paired with Azure role-based access control it can be used to control access to Azure Maps REST APIs. Azure role-based access controls are used to designate access to one or more Azure Maps resource account or sub-resources. Any user, group, or service principal can be granted access via a built-in role or a custom role composed of one or more permissions to Azure Maps REST APIs.

To implement scenarios, we recommend viewing authentication concepts. In summary, this security definition provides a solution for modeling application(s) via objects capable of access control on specific APIs and scopes.

Notes

  • This security definition requires the use of the x-ms-client-id header to indicate which Azure Maps resource the application is requesting access to. This can be acquired from the Maps management API.

The Authorization URL is specific to the Azure public cloud instance. Sovereign clouds have unique Authorization URLs and Azure Active directory configurations. * The Azure role-based access control is configured from the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs. * Usage of the Azure Maps Web SDK allows for configuration based setup of an application for multiple use cases.

  • Currently, Azure Active Directory v1.0 or v2.0 supports Work, School, and Guests but does not support Personal accounts.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
https://atlas.microsoft.com/.default https://atlas.microsoft.com/.default

subscription-key

This is a shared key that is provisioned when creating an Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this key, any application is authorized to access all REST APIs. In other words, these can currently be treated as master keys to the account which they are issued for.

For publicly exposed applications, our recommendation is to use server-to-server access of Azure Maps REST APIs where this key can be securely stored.

Type: apiKey
In: query

SAS Token

This is a shared access signature token is created from the List SAS operation on the Azure Maps resource through the Azure management plane via Azure portal, PowerShell, CLI, Azure SDKs, or REST APIs.

With this token, any application is authorized to access with Azure role-based access controls and fine-grain control to the expiration, rate, and region(s) of use for the particular token. In other words, the SAS Token can be used to allow applications to control access in a more secured way than the shared key.

For publicly exposed applications, our recommendation is to configure a specific list of allowed origins on the Map account resource to limit rendering abuse and regularly renew the SAS Token.

Type: apiKey
In: header

Examples

Get the status of an operation which has finished successfully
Get the status of an operation which is still running

Get the status of an operation which has finished successfully

Sample Request

GET https://us.atlas.microsoft.com/datasets/operations/8b1288fa-1958-4a2b-b68e-13a7i5af7d7c?api-version=2.0

Sample Response

Resource-Location: https://us.atlas.microsoft.com/datasets/3e36b996-f6d1-b068-0fcb-dd6b014c3447?api-version=2.0
{
  "operationId": "8b1288fa-1958-4a2b-b68e-13a7i5af7d7c",
  "created": "2021-04-20T22:43:14.9401559+00:00",
  "status": "Succeeded"
}

Get the status of an operation which is still running

Sample Request

GET https://us.atlas.microsoft.com/datasets/operations/8b1288fa-1958-4a2b-b68e-13a7i5af7d7c?api-version=2.0

Sample Response

{
  "operationId": "8b1288fa-1958-4a2b-b68e-13a7i5af7d7c",
  "created": "2021-04-23T19:14:03.2452596+00:00",
  "status": "Running"
}

Definitions

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LongRunningOperationResult

The response model for a Long-Running Operations API.

LroStatus

The status state of the request.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

ErrorResponse

Error response

Name Type Description
error

The error object.

LongRunningOperationResult

The response model for a Long-Running Operations API.

Name Type Description
created
  • string

The created timestamp.

error

The error detail.

operationId
  • string

The Id for this long-running operation.

status

The status state of the request.

warning

The error detail.

LroStatus

The status state of the request.

Name Type Description
Failed
  • string

The request has one or more failures.

NotStarted
  • string

The request has not started processing yet.

Running
  • string

The request has started processing.

Succeeded
  • string

The request has successfully completed.